
Katello - Bug #7104

"Failed to call refresh: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]" on RHEL7

08/15/2014 10:05 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Installer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1121787 Red Hat JIRA:  

Pull request: https://github.com/Katello/puppet-certs/p

ull/28

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1121787

Description of problem:

katello-installer complains "wrong number of arguments (2 for 1)" on RHEL7

Version-Release number of selected component (if applicable):

Satellite-6.0.4-RHEL-7-20140716.0

How reproducible:

always

Steps to Reproduce:

1. Install Satellite6 on RHEL7 system    # katello-installer --foreman-admin-email 'root@localhost' \

--foreman-admin-username 'admin' --foreman-admin-password '<password>'

Actual results:

katello-installer exits with 6

Expected results:

Should work and exit with 0

Additional info:

Relevant part of /var/log/katello-installer/katello-installer.log:

[...]

[ INFO 2014-07-20 18:33:14 main]  RESOURCE Exec[restart_foreman]

[DEBUG 2014-07-20 18:33:14 main]  Exec[foreman_certs_config](provider=posix): Executing check

'/usr/share/foreman/script/foreman-config      k ssl_ca_file -v '/etc/foreman/client_ca.pem'      -k ssl_certificate -v

'/etc/foreman/client_cert.pem'      -k ssl_priv_key -v '/etc/foreman/client_key.pem' --dry-run'

[DEBUG 2014-07-20 18:33:14 main]  Executing '/usr/share/foreman/script/foreman-config      -k ssl_ca_file -v

'/etc/foreman/client_ca.pem'      -k ssl_certificate -v '/etc/foreman/client_cert.pem'      -k ssl_priv_key -v '/etc/foreman/client_key.pem'

--dry-run'

[DEBUG 2014-07-20 18:36:23 main]  /Stage[main]/Certs::Foreman/Exec[foreman_certs_config]/unless: /etc/foreman/client_ca.pem

[DEBUG 2014-07-20 18:36:23 main]  /Stage[main]/Certs::Foreman/Exec[foreman_certs_config]/unless: /etc/foreman/client_cert.pem

[DEBUG 2014-07-20 18:36:23 main]  /Stage[main]/Certs::Foreman/Exec[foreman_certs_config]/unless: /etc/foreman/client_key.pem

[DEBUG 2014-07-20 18:36:23 main]  Exec[foreman_certs_config](provider=posix): Executing

'/usr/share/foreman/script/foreman-config      -k ssl_ca_file -v '/etc/foreman/client_ca.pem'      -k ssl_certificate -v

'/etc/foreman/client_cert.pem'      -k ssl_priv_key -v '/etc/foreman/client_key.pem''

[DEBUG 2014-07-20 18:36:23 main]  Executing '/usr/share/foreman/script/foreman-config      -k ssl_ca_file -v

'/etc/foreman/client_ca.pem'      -k ssl_certificate -v '/etc/foreman/client_cert.pem'      -k ssl_priv_key -v '/etc/foreman/client_key.pem''

[ WARN 2014-07-20 18:39:15 main]  /Stage[main]/Certs::Foreman/Exec[foreman_certs_config]/returns: executed successfully

[ INFO 2014-07-20 18:39:15 main]  RESOURCE Exec[foreman_certs_config]

[DEBUG 2014-07-20 18:39:15 main]  /Stage[main]/Certs::Foreman/Exec[foreman_certs_config]: The container

Class[Certs::Foreman] will propagate my refresh event

[DEBUG 2014-07-20 18:39:15 main]  Class[Certs::Foreman]: The container Stage[main] will propagate my refresh event

[ INFO 2014-07-20 18:39:19 main] E, [2014-07-20T18:39:19.011251 #13628] ERROR - : 500 Internal Server Error

[ INFO 2014-07-20 18:39:19 main] {
[ INFO 2014-07-20 18:39:19 main]     "error" => {

[ INFO 2014-07-20 18:39:19 main]         "message" => "wrong number of arguments (2 for 1)"

[ INFO 2014-07-20 18:39:19 main]     }

[ INFO 2014-07-20 18:39:19 main] }

[ERROR 2014-07-20 18:39:19 main]  /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[<fqdn>]: Could not evaluate: 500

Internal Server Error

[ INFO 2014-07-20 18:39:19 main] /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/abstract_response.rb:48:in `return!'

[ INFO 2014-07-20 18:39:19 main] /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:230:in `process_result'

[ INFO 2014-07-20 18:39:19 main] /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:178:in `block in transmit'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/net/http.rb:852:in `start'

[ INFO 2014-07-20 18:39:19 main] /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:172:in `transmit'

[ INFO 2014-07-20 18:39:19 main] /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:64:in `execute'

[ INFO 2014-07-20 18:39:19 main] /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:33:in `execute'

[ INFO 2014-07-20 18:39:19 main] /usr/share/gems/gems/rest-client-1.6.7/lib/restclient/resource.rb:51:in `get'

[ INFO 2014-07-20 18:39:19 main] /usr/share/gems/gems/apipie-bindings-0.0.8/lib/apipie_bindings/api.rb:195:in `http_call'

[ INFO 2014-07-20 18:39:19 main] /usr/share/gems/gems/apipie-bindings-0.0.8/lib/apipie_bindings/api.rb:150:in `call'

[ INFO 2014-07-20 18:39:19 main] /usr/share/gems/gems/apipie-bindings-0.0.8/lib/apipie_bindings/resource.rb:14:in `call'

[ INFO 2014-07-20 18:39:19 main]

/usr/share/katello-installer/modules/foreman/lib/puppet/provider/foreman_smartproxy/rest_v2.rb:29:in `proxy'

[ INFO 2014-07-20 18:39:19 main]

/usr/share/katello-installer/modules/foreman/lib/puppet/provider/foreman_smartproxy/rest_v2.rb:34:in `id'

[ INFO 2014-07-20 18:39:19 main]

/usr/share/katello-installer/modules/foreman/lib/puppet/provider/foreman_smartproxy/rest_v2.rb:38:in `exists?'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/property/ensure.rb:81:in `retrieve'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/type.rb:1035:in `retrieve'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/type.rb:1063:in `retrieve_resource'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:223:in `from_resource'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:19:in `evaluate'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:174:in `apply'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:187:in `eval_resource'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:117:in `call'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:117:in `block (2 levels) in evaluate'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/util.rb:327:in `block in thinmark'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/benchmark.rb:296:in `realtime'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/util.rb:326:in `thinmark'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:117:in `block in evaluate'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:118:in `traverse'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:108:in `evaluate'

[ INFO 2014-07-20 18:39:19 main]

/usr/share/gems/gems/kafo-0.6.4/modules/kafo_configure/lib/puppet/parser/functions/add_progress.rb:25:in `evaluate_with_trigger'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/resource/catalog.rb:167:in `block in apply'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/util/log.rb:149:in `with_destination'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/transaction/report.rb:112:in `as_logging_destination'

[ INFO 2014-07-20 18:39:19 main] /usr/share/gems/gems/kafo-0.6.4/modules/kafo_configure/lib/kafo/puppet/report_wrapper.rb:30:in

`method_missing'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/resource/catalog.rb:166:in `apply'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/configurer.rb:117:in `block in apply_catalog'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/util.rb:161:in `block in benchmark'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/benchmark.rb:296:in `realtime'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/util.rb:160:in `benchmark'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/configurer.rb:116:in `apply_catalog'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/configurer.rb:191:in `run'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:288:in `apply_catalog'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:228:in `block in main'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/context.rb:64:in `override'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet.rb:234:in `override'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:190:in `main'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:151:in `run_command'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/application.rb:371:in `block (2 levels) in run'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/application.rb:477:in `plugin_hook'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/application.rb:371:in `block in run'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/util.rb:479:in `exit_on_fail'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/application.rb:371:in `run'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:137:in `run'

[ INFO 2014-07-20 18:39:19 main] /usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:91:in `execute'

[ INFO 2014-07-20 18:39:19 main] /usr/bin/puppet:8:in `<main>'

[ INFO 2014-07-20 18:39:19 main]  RESOURCE Foreman_smartproxy[<fqdn>]

05/17/2024 2/4



[DEBUG 2014-07-20 18:39:19 main]  Finishing transaction 33395040

[DEBUG 2014-07-20 18:39:19 main]  Storing state

[DEBUG 2014-07-20 18:39:19 main]  Stored state in 0.37 seconds

[ WARN 2014-07-20 18:39:19 main]  Finished catalog run in 559.81 seconds

[DEBUG 2014-07-20 18:39:19 main]  Using settings: adding file resource 'rrddir': 'File[/var/lib/puppet/rrd]{:path=>"/var/lib/puppet/rrd",

:mode=>"750", :owner=>"puppet", :group=>"puppet", :ensure=>:directory, :loglevel=>:debug, :links=>:follow, :backup=>false}'

[DEBUG 2014-07-20 18:39:19 main]  /File[/var/lib/puppet/rrd]/seluser: Found seluser default 'system_u' for /var/lib/puppet/rrd

[DEBUG 2014-07-20 18:39:19 main]  /File[/var/lib/puppet/rrd]/selrole: Found selrole default 'object_r' for /var/lib/puppet/rrd

[DEBUG 2014-07-20 18:39:19 main]  /File[/var/lib/puppet/rrd]/seltype: Found seltype default 'puppet_var_lib_t' for /var/lib/puppet/rrd

[DEBUG 2014-07-20 18:39:19 main]  /File[/var/lib/puppet/rrd]/selrange: Found selrange default 's0' for /var/lib/puppet/rrd

[DEBUG 2014-07-20 18:39:19 main]  Finishing transaction 40716620

[DEBUG 2014-07-20 18:39:19 main]  Received report to process from <fqdn>

[DEBUG 2014-07-20 18:39:19 main]  Processing report from <fqdn> with processor Puppet::Reports::Store

[ INFO 2014-07-20 18:39:28 main] Puppet has finished, bye!

[ INFO 2014-07-20 18:39:28 main] Executing hooks in group post

[DEBUG 2014-07-20 18:39:28 main] Hook /usr/share/katello-installer/hooks/post/10-post_install.rb returned nil

[ INFO 2014-07-20 18:39:28 main] All hooks in group post finished

[DEBUG 2014-07-20 18:39:28 main] Exit with status code: 6 (signal was 6)

[ERROR 2014-07-20 18:39:28 main] Repeating errors encountered during run:

[ERROR 2014-07-20 18:39:28 main]  /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[<fqdn>]: Could not evaluate: 500

Internal Server Error

[DEBUG 2014-07-20 18:39:28 main] Cleaning /etc/katello-installer/d20140720-13163-1ttiotk

[DEBUG 2014-07-20 18:39:28 main] Cleaning /tmp/default_values.yaml

Associated revisions

Revision 1d1707ef - 08/25/2014 11:18 AM - Ivan Necas

Refs #7104 - ensure the qpidd is really running before configuring it

Revision e33f09c5 - 08/27/2014 11:01 AM - Ivan Necas

Merge pull request #33 from iNecas/issue/7104

Refs #7104 - ensure the qpidd is really running before configuring it

Revision 6c9ef6ef - 08/27/2014 11:07 AM - Ivan Necas

Fixes #7104,7239 - update certs and service_wait modules

Revision 29f28321 - 08/27/2014 12:50 PM - Ivan Necas

Merge pull request #112 from iNecas/issue/7104

Fixes #7104,7239 - update certs and service_wait modules

Revision 2b192985 - 08/28/2014 03:22 PM - Brad Buckingham

refs #7104 - update service_wait module

Revision 6c13eca7 - 08/28/2014 04:08 PM - jmontleon 

Merge pull request #113 from bbuckingham/issue-7104

refs #7104 - update service_wait module

History

#1 - 08/15/2014 10:06 AM - Eric Helms

- Target version set to 54

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/15/2014 01:31 PM - Eric Helms

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/puppet-certs/pull/28 added

- Pull request deleted ()
#3 - 08/18/2014 08:33 AM - Eric Helms

- Target version changed from 54 to 55

#4 - 08/27/2014 01:01 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|6c9ef6ef9ac0cf7365e7caa1ef9e77bccae0829a.

#5 - 09/15/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
